## aiohttp-jinja2 0.8.0

=== Makefile ===
# Some simple testing tasks (sorry, UNIX only).

flake:
	flake8 aiohttp_jinja2 tests 

test: flake
	py.test -s ./tests/

cov cover coverage:
	py.test --cov=aiohttp_jinja2 --cov-report=html --cov-report=term ./tests/
	@echo "open file://`pwd`/htmlcov/index.html"

clean:
	rm -rf `find . -name __pycache__`
	rm -f `find . -type f -name '*.py[co]' `
	rm -f `find . -type f -name '*~' `
	rm -f `find . -type f -name '.*~' `
	rm -f `find . -type f -name '@*' `
	rm -f `find . -type f -name '#*#' `
	rm -f `find . -type f -name '*.orig' `
	rm -f `find . -type f -name '*.rej' `
	rm -f .coverage
	rm -rf coverage
	rm -rf build
	rm -rf cover

doc:
	make -C docs html
	@echo "open file://`pwd`/docs/_build/html/index.html"

.PHONY: all build venv flake test vtest testloop cov clean doc

=== debian/changelog ===
aiohttp-jinja2 (0.8.0-1) unstable; urgency=low

  * Initial release (closes: 832977)

 -- Piotr Ożarowski <piotr@debian.org>  Sat, 30 Jul 2016 15:20:55 +0200

=== debian/control ===
Source: aiohttp-jinja2
Section: python
Priority: optional
Maintainer: Piotr Ożarowski <piotr@debian.org>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Build-Depends: debhelper (>= 9), dh-python,
               python3-aiohttp,
               python3-all,
               python3-jinja2,
               python3-setuptools,
Standards-Version: 3.9.8
Homepage: https://github.com/aio-libs/aiohttp_jinja2/
Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/aiohttp-jinja2.git
Vcs-Browser: https://anonscm.debian.org/git/python-modules/packages/aiohttp-jinja2.git

Package: python3-aiohttp-jinja2
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Enhances: python3-aiohtto
Description: jinja2 template renderer for aiohttp.web
 aiohttp_jinja2 library makes it easier to integrate Jinja2 (template engine for
 Python) templates in aiohttp.web (asyncio HTTP server)

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME=aiohttp-jinja2
%:
	dh $@ --with python3 --buildsystem=pybuild

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/aiohttp_jinja2/aiohttp_jinja2-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## aiohttp-jinja2 1.2.0

=== Makefile ===
--- 
+++ 
@@ -2,6 +2,7 @@
 
 flake:
 	flake8 aiohttp_jinja2 tests 
+	mypy --strict aiohttp_jinja2
 
 test: flake
 	py.test -s ./tests/

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/aiohttp_jinja2.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/aiohttp_jinja2.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/aiohttp_jinja2"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/aiohttp_jinja2"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== debian/changelog ===
aiohttp-jinja2 (1.2.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Sandro Tosi ]
  * Use the new Debian Python Team contact name and address

 -- Sandro Tosi <morph@debian.org>  Thu, 16 Sep 2021 23:59:28 -0400

aiohttp-jinja2 (1.2.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Fixed typo in enhances field
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field
  * Convert git repository from git-dpm to gbp layout
  * Use debhelper-compat instead of debian/compat.

  [ Piotr Ożarowski ]
  * New upstream release
  * Standards-version bumped to 4.5.0 (no other changes needed)

 -- Piotr Ożarowski <piotr@debian.org>  Mon, 16 Mar 2020 12:05:45 +0100

=== debian/control ===
Source: aiohttp-jinja2
Section: python
Priority: optional
Maintainer: Piotr Ożarowski <piotr@debian.org>
Uploaders: Debian Python Team <team+python@tracker.debian.org>
Build-Depends: debhelper-compat (= 9), dh-python,
               python3-aiohttp,
               python3-all,
               python3-jinja2,
               python3-setuptools,
Standards-Version: 4.5.0
Homepage: https://github.com/aio-libs/aiohttp_jinja2/
Vcs-Git: https://salsa.debian.org/python-team/packages/aiohttp-jinja2.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/aiohttp-jinja2

Package: python3-aiohttp-jinja2
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Enhances: python3-aiohttp
Description: jinja2 template renderer for aiohttp.web
 aiohttp_jinja2 library makes it easier to integrate Jinja2 (template engine for
 Python) templates in aiohttp.web (asyncio HTTP server)

## aiohttp-jinja2 1.5.1

=== Makefile ===
# Some simple testing tasks (sorry, UNIX only).

.PHONY: init setup
init setup:
	pip install -r requirements-dev.txt
	pre-commit install

.PHONY: fmt
fmt:
	python -m pre_commit run --all-files --show-diff-on-failure

.PHONY: lint
lint: fmt
	mypy

.PHONY: test
test:
	pytest -s ./tests/

.PHONY: clean
clean:
	rm -rf `find . -name __pycache__`
	rm -f `find . -type f -name '*.py[co]' `
	rm -f `find . -type f -name '*~' `
	rm -f `find . -type f -name '.*~' `
	rm -f `find . -type f -name '@*' `
	rm -f `find . -type f -name '#*#' `
	rm -f `find . -type f -name '*.orig' `
	rm -f `find . -type f -name '*.rej' `
	rm -f .coverage
	rm -rf coverage
	rm -rf build
	rm -rf cover

.PHONY: doc
doc:
	make -C docs html
	@echo "open file://`pwd`/docs/_build/html/index.html"

=== debian/changelog ===
aiohttp-jinja2 (1.5.1-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Bump debhelper from deprecated 9 to 13.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
  * Update standards version to 4.6.1, no changes needed.

  [ Piotr Ożarowski ]
  * New upstream release
  * add python3-pytest, python3-pytest-cov, python3-pytest-aiohttp and
    python3-pytest-asyncio to Build-Depends

 -- Piotr Ożarowski <piotr@debian.org>  Wed, 01 Feb 2023 21:34:52 +0100

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,17 @@
 Priority: optional
 Maintainer: Piotr Ożarowski <piotr@debian.org>
 Uploaders: Debian Python Team <team+python@tracker.debian.org>
-Build-Depends: debhelper-compat (= 9), dh-python,
+Build-Depends: debhelper-compat (= 13), dh-python,
                python3-aiohttp,
                python3-all,
                python3-jinja2,
                python3-setuptools,
-Standards-Version: 4.5.0
+               python3-pytest,
+               python3-pytest-aiohttp,
+               python3-pytest-cov,
+               python3-anyio,
+               python3-pytest-asyncio,
+Standards-Version: 4.6.1
 Homepage: https://github.com/aio-libs/aiohttp_jinja2/
 Vcs-Git: https://salsa.debian.org/python-team/packages/aiohttp-jinja2.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/aiohttp-jinja2

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME=aiohttp-jinja2
%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_python3:
	dh_python3
	rm -rf debian/python3-aiohttp-jinja2/usr/lib/python3/dist-packages/htmlcov \
		debian/python3-aiohttp-jinja2/usr/lib/python3/dist-packages/.coverage \
		debian/python3-aiohttp-jinja2/usr/lib/python3/dist-packages/coverage.xml

## aiohttp-jinja2 1.6

=== debian/changelog ===
aiohttp-jinja2 (1.6-1) unstable; urgency=medium

  * New upstream release
    - no longer FTBFS (closes: 1061008)

 -- Piotr Ożarowski <piotr@debian.org>  Tue, 11 Jun 2024 13:01:42 +0200

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/aiohttp-jinja2/aiohttp-jinja2-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
